## randomplay 0.60+pristine

=== Makefile ===
PREFIX=/usr
INSTALL=/usr/bin/install
BINDIR=$(DESTDIR)$(PREFIX)/bin
MANDIR=$(DESTDIR)$(PREFIX)/share/man/man1
DOCDIR=$(DESTDIR)$(PREFIX)/share/doc/randomplay

none: 

man: randomplay 
	pod2man randomplay > randomplay.1

install: randomplay randomplay.1 changelog.gz README TODO randomplayrc
	$(INSTALL) -d $(BINDIR) $(MANDIR) $(DOCDIR)
	$(INSTALL) -m 755 randomplay $(BINDIR)
	$(INSTALL) -m 644 randomplay.1 $(MANDIR)
	$(INSTALL) -m 644 changelog.gz README TODO randomplayrc $(DOCDIR)

uninstall:
	rm $(BINDIR)/randomplay
	rm $(MANDIR)/randomplay.1
	rm -r $(DOCDIR)

all: man install

clean: randomplay.1
	rm randomplay.1

none: man
	@echo "Now run make install to install randomplay."

## randomplay 0.49

=== debian/changelog ===
randomplay (0.49) unstable; urgency=low

  * Add support for toggle "pause" key, default 'p'. Thanks to Simon Hart for
    the patch. 
  * Add support for enabling/disabling UTF-8 output in MP3 tags, for people
    who don't have UTF-8 xterm. Thanks to Gregor Herrmann for the patch.
    (Closes: #337783).
  * Add new keystroke to list available keystrokes while playing, default '?'
    or 'h'.  
  * Improved sample randomplayrc with more comments and options. You can use
    the sample randomplayrc as a template for all settings.

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Wed, 23 Nov 2005 21:21:40 -0500

randomplay (0.48) unstable; urgency=low

  * When advancing tracks, kill not just children of player program, but
    all spawned processes. Thanks to Christopher Zimmermann for the
    patch. (Closes: #335592).

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Sun, 30 Oct 2005 08:38:19 -0500

randomplay (0.47) unstable; urgency=low

  * Display track information with an announcement program -- default is xosd.

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Thu,  1 Sep 2005 11:36:09 -0400

randomplay (0.46-1) unstable; urgency=low

  * If a specified player is not available, just don't play files of that
    type, rather than halt program all together (except if no players are
    available).
  * Update documentation.
  * Remove sound-recorder recommendation; if you want to play anything other
    than mp3 and ogg files, you should choose the players you prefer.

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Sun,  5 Sep 2004 10:06:57 -0400

randomplay (0.45-1) unstable; urgency=low

  * Remove WAV file player from defaults; most people don't include WAVs in
    their music collections (I think!) and this way randomplay will start in
    the default configuration even if you don't have sound-recorder installed.
    (Closes: #269541).
  * Fix bug where only alphabetical (rather than alphanumeric) extensions
    could be configured in .randomplayrc; now you can define a player for mp3
    files. (Closes: #269540).

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Wed,  1 Sep 2004 21:46:25 -0400

randomplay (0.44-1) unstable; urgency=low

  * Rewrite option processing to eliminate unnecessary variables (i.e.,
    "$norandom") thanks to Long::Getopt "negate!" option.
  * Reorganize options on manpage into sensible groups.

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Tue, 24 Aug 2004 20:31:03 -0400

randomplay (0.43-2) unstable; urgency=low

  * Another failed upload, sorry for the version bloat!

 -- Adam Kessel <ajkessel@debian.org>  Mon, 23 Aug 2004 20:54:04 -0400

randomplay (0.43-1) unstable; urgency=low

  * Remove spurious "players" debug message on startup.

 -- Adam Kessel <ajkessel@debian.org>  Mon, 23 Aug 2004 14:46:42 -0400

randomplay (0.42-2) unstable; urgency=low

  * Failed upload again.

 -- Adam Kessel <ajkessel@debian.org>  Fri, 20 Aug 2004 15:42:37 -0400

randomplay (0.42-1) unstable; urgency=low

  * Fix errors in sample randomplayrc.
  * Add more flexibility to randomplayrc interpretation; can add arbitrary
    whitespaces anywhere without harm, and make ( [ { interchangeable.
  * Check to make sure base directory exists, if specified.
  * Keystrokes are now user-definable at command line or in ~/.randomplayrc.
  * Should look for files with mp3 extension, not mpg extension.
  * Update documentation.

 -- Adam Kessel <ajkessel@debian.org>  Fri, 20 Aug 2004 11:50:15 -0400

randomplay (0.41-3) unstable; urgency=low

  * One more upload.

 -- Adam Kessel <ajkessel@debian.org>  Thu, 19 Aug 2004 20:38:29 -0400

randomplay (0.41-2) unstable; urgency=low

  * Failed upload, trying again.

 -- Adam Kessel <ajkessel@debian.org>  Thu, 19 Aug 2004 20:35:22 -0400

randomplay (0.41-1) unstable; urgency=low

  * Should not be native package; fixed versioning.

 -- Adam Kessel <ajkessel@debian.org>  Thu, 19 Aug 2004 19:18:32 -0400

randomplay (0.40-2) unstable; urgency=low

  * Fixed some minor linda/lintian warnings.

 -- Adam Kessel <ajkessel@debian.org>  Thu, 19 Aug 2004 18:56:18 -0400

randomplay (0.40-1) unstable; urgency=low

  * Initial Debian release.  (Closes: #266919).

 -- Adam Kessel <ajkessel@debian.org>  Thu, 19 Aug 2004 16:46:01 -0400

randomplay (0.39-1) unstable; urgency=low

  * New random weighting functionality: hit + or - while a song is playing to
    increase or decrease its probability of being played in future random
    shuffles, or 0 or = to reset preference.
  * Improved randomization algorithm: should really be random now.
  * New switch --weight/--noweight to specify whether or not to use random
    weighting.
  * New switch --verbose; if not specified then output from music player
    programs is suppressed.
  * New behavior for --quiet: if specified, randomplay will not report the
    name of each song as it is played.
  * Removed --altcancel option; it is no longer necessary now that you can
    advance songs or cancel randomplay with keystrokes.
  * Display track metadata before each track is played if available; otherwise
    display filename.
  * Updated manpage for new options and keystrokes while song is playing
  * Improved documentation; include README, TODO, and sample randomplayrc,
    fixed some erroneous references in Debian documentation.
  * Fixed makefile so it works without dpkg-buildpackage.
  * Fixed a bunch of warnings that appear when perl -w is used.
  * Added option to quit after the current playing song is done (default key
    'l').
  * Can now process arbitrary filename extensions, either at command line or
    in ~/.randomplayrc, so could potentially be used for activities other than
    playing music.
  * Implement hack to kill children processes when randomplay is run from
    shell script; this will likely limit randomplay's portability.
  * Check that players are in path and executable before playing.
  * Add in several more error/sanity checks for file permissions.

 -- Adam Kessel <ajkessel@debian.org>  Thu, 19 Aug 2004 12:41:23 -0400


=== debian/control ===
Source: randomplay
Section: sound
Priority: optional
Maintainer: Adam Rosi-Kessel <ajkessel@debian.org>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.6.1

Package: randomplay
Section: sound
Architecture: any
Depends: ${perl:Depends}, libdate-calc-perl, libterm-readkey-perl, libmp3-info-perl, libogg-vorbis-header-perl
Recommends: vorbis-tools, mpg321
Suggests: xosd-bin
Description: command-line based shuffle music player that remembers songs between sessions
 Randomplay plays your music collection (or execute any arbitrary commands on
 any arbitrary filetypes) in random order, remembering songs played across
 sessions. It also has many features to make command-line music playing more
 convenient, including recursive regexp searching for tracks and the ability to
 specify a certain number of tracks, bytes, or minutes to play.  Randomplay
 will also generate a list of music files to be loaded onto a portable music
 player device.  It includes a 'random weighting' feature, so your favorite
 songs are more likely to come up in the random shuffle.  
 .
 Randomplay is a convenient tool for the user who does everything in an xterm
 window or console and is constantly devising complex find/grep/sed command
 lines to play just the right set of songs.

## randomplay 0.52

=== debian/changelog ===
randomplay (0.52) unstable; urgency=low

  * Fix typo in sample randomplayrc for new 'back key' feature.

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Sun, 19 Mar 2006 14:33:57 -0500

randomplay (0.51) unstable; urgency=low

  * Change architecture to all. (Closes: #357050).
  * New feature: keybinding to go backward through previously played songs
    during session. Default key is 'b'. (Closes: #351295).

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Thu, 16 Mar 2006 10:44:24 -0500

randomplay (0.50) unstable; urgency=low

  * Show weight of current song when playing (thanks again to Gregor
    Herrmann). (Closes: #351289).

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Tue,  7 Feb 2006 20:48:38 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: randomplay
 Section: sound
-Architecture: any
+Architecture: all
 Depends: ${perl:Depends}, libdate-calc-perl, libterm-readkey-perl, libmp3-info-perl, libogg-vorbis-header-perl
 Recommends: vorbis-tools, mpg321
 Suggests: xosd-bin

## randomplay 0.60

=== debian/changelog ===
randomplay (0.60) unstable; urgency=low

  * New options --older-than and --newer-than, to only play files whose
    modification times are respectively older or newer than given date or time
    interval (e.g., --newer-than 1Y = files newer than one year old).
  * Allow alternative forms of expressing 'last played by' date for --days
    option as with --older-than and --newer-than.

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Sun, 15 Oct 2006 13:09:06 -0400

randomplay (0.53) unstable; urgency=low

  * Update contact name/address and copyright dates in documentation.

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Sun, 19 Mar 2006 14:52:04 -0500

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Adam Rosi-Kessel <ajkessel@debian.org>
 Build-Depends: debhelper (>> 4.0.0)
-Standards-Version: 3.6.1
+Standards-Version: 3.7.2
 
 Package: randomplay
 Section: sound
 Architecture: all
-Depends: ${perl:Depends}, libdate-calc-perl, libterm-readkey-perl, libmp3-info-perl, libogg-vorbis-header-perl
+Depends: ${perl:Depends}, libdate-calc-perl, libterm-readkey-perl, libmp3-info-perl, libogg-vorbis-header-perl, libdate-manip-perl
 Recommends: vorbis-tools, mpg321
 Suggests: xosd-bin
 Description: command-line based shuffle music player that remembers songs between sessions

## randomplay 0.60%2Bnmu1

=== debian/changelog ===
randomplay (0.60+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Use Ogg::Vorbis::Header::PurePerl instead of Ogg::Vorbis::Header.
    (Closes: #655410)

 -- Tim Retout <diocles@debian.org>  Mon, 09 Apr 2012 21:21:41 +0100

## randomplay 0.60%2Bpristine

=== debian/control ===
Source: randomplay
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (=13),
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/randomplay
Vcs-Git: https://salsa.debian.org/debian/randomplay.git

Package: randomplay
Architecture: all
Depends: libdate-calc-perl,
         libdate-manip-perl,
         libmp3-info-perl,
         libogg-vorbis-header-pureperl-perl,
         libterm-readkey-perl,
         ${misc:Depends},
         ${perl:Depends},
Recommends: mpg123,
            vorbis-tools,
Suggests: xosd-bin,
Description: command-line based shuffle music player that remembers songs between sessions
 Randomplay plays your music collection (or execute any arbitrary commands on
 any arbitrary filetypes) in random order, remembering songs played across
 sessions. It also has many features to make command-line music playing more
 convenient, including recursive regexp searching for tracks and the ability to
 specify a certain number of tracks, bytes, or minutes to play.  Randomplay
 will also generate a list of music files to be loaded onto a portable music
 player device.  It includes a 'random weighting' feature, so your favorite
 songs are more likely to come up in the random shuffle.
 .
 Randomplay is a convenient tool for the user who does everything in an xterm
 window or console and is constantly devising complex find/grep/sed command
 lines to play just the right set of songs.

## randomplay 0.60+nmu1

=== debian/control ===
Source: randomplay
Section: sound
Priority: optional
Maintainer: Adam Rosi-Kessel <ajkessel@debian.org>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.7.2

Package: randomplay
Section: sound
Architecture: all
Depends: ${perl:Depends}, libdate-calc-perl, libterm-readkey-perl, libmp3-info-perl, libogg-vorbis-header-pureperl-perl, libdate-manip-perl
Recommends: vorbis-tools, mpg321
Suggests: xosd-bin
Description: command-line based shuffle music player that remembers songs between sessions
 Randomplay plays your music collection (or execute any arbitrary commands on
 any arbitrary filetypes) in random order, remembering songs played across
 sessions. It also has many features to make command-line music playing more
 convenient, including recursive regexp searching for tracks and the ability to
 specify a certain number of tracks, bytes, or minutes to play.  Randomplay
 will also generate a list of music files to be loaded onto a portable music
 player device.  It includes a 'random weighting' feature, so your favorite
 songs are more likely to come up in the random shuffle.  
 .
 Randomplay is a convenient tool for the user who does everything in an xterm
 window or console and is constantly devising complex find/grep/sed command
 lines to play just the right set of songs.

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)
	pod2man randomplay > randomplay.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/randomplay


binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

## randomplay 0.60+pristine

=== debian/changelog ===
randomplay (0.60+pristine-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:15:48 +0200

randomplay (0.60+pristine-1) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.
    Cf. #739017
  * Fix "FTBFS with dpkg-buildpackage -A: dpkg-genchanges: error: binary
    build with no binary artifacts found; cannot distribute":
    switch to dh(1).
    (Closes: #831934)
  * Declare compliance with Debian Policy 3.9.8.
  * Drop duplicate Section from binary package stanza in debian/control.
  * Add ${misc:Depends} to Depends in debian/control.
  * Refer to GPL-2 file in debian/copyright.
  * Convert to non-native package: download original upstream tarball, invent
    +pristine version, add debian/source/format, split out source changes from
    #655410 into a patch.
  * wrap-and-sort debian/*.

 -- gregor herrmann <gregoa@debian.org>  Wed, 20 Jul 2016 23:20:03 +0200

randomplay (0.60+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Removal of debhelper compat 4": switch to debhelper compat level 9
    (Closes: #817647)

 -- gregor herrmann <gregoa@debian.org>  Tue, 28 Jun 2016 11:50:00 +0200

=== debian/control ===
Source: randomplay
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8

Package: randomplay
Architecture: all
Depends: libdate-calc-perl,
         libdate-manip-perl,
         libmp3-info-perl,
         libogg-vorbis-header-pureperl-perl,
         libterm-readkey-perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: mpg321,
            vorbis-tools
Suggests: xosd-bin
Description: command-line based shuffle music player that remembers songs between sessions
 Randomplay plays your music collection (or execute any arbitrary commands on
 any arbitrary filetypes) in random order, remembering songs played across
 sessions. It also has many features to make command-line music playing more
 convenient, including recursive regexp searching for tracks and the ability to
 specify a certain number of tracks, bytes, or minutes to play.  Randomplay
 will also generate a list of music files to be loaded onto a portable music
 player device.  It includes a 'random weighting' feature, so your favorite
 songs are more likely to come up in the random shuffle.
 .
 Randomplay is a convenient tool for the user who does everything in an xterm
 window or console and is constantly devising complex find/grep/sed command
 lines to play just the right set of songs.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	# make clean fails if randomplay.1 doesn't exist
	# replace it with a simple $(RM)
	$(RM) -v $(CURDIR)/randomplay.1
